Page MenuHomePhabricator

Kill off $wgStyleVersion
Closed, ResolvedPublic

Description

CommonSettings has this amusing addition

# Style version appendix
# Shouldn't be needed much in 1.17 due to ResourceLoader, but some legacy things still need it
$wgStyleVersion .= '-4';

Plus... https://github.com/wikimedia/mediawiki/commit/2d55b1670f34dc63ecc9ce4be20f1b04610d191b - It's been 303 for 6 years

I'm guessing it adds little/no value at this point. And in https://github.com/wikimedia/operations-mediawiki-config/blame/master/wmf-config/CommonSettings.php#L2396 is at at least 6 years too

Is it past time for it to go away now?

Event Timeline

Reedy created this task.Nov 24 2017, 11:00 PM
Restricted Application added a project: Performance-Team. · View Herald TranscriptNov 24 2017, 11:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Reedy updated the task description. (Show Details)Nov 24 2017, 11:00 PM

Change 393353 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Remove $wgStyleVersion appending in CommonSettings

https://gerrit.wikimedia.org/r/393353

Change 393354 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@master] Kill off $wgStyleVersion

https://gerrit.wikimedia.org/r/393354

I would suggest we don't really need to deprecate it either, it can probably just go...

Change 393353 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove $wgStyleVersion appending in CommonSettings

https://gerrit.wikimedia.org/r/393353

Krinkle triaged this task as Normal priority.Nov 27 2017, 8:25 PM
Krinkle edited projects, added Performance-Team (Radar); removed Performance-Team.
Krinkle moved this task from Inbox to Accepted: Enhancement on the MediaWiki-ResourceLoader board.
Krinkle removed a project: MediaWiki-General.
Krinkle moved this task from Limbo to Watching on the Performance-Team (Radar) board.

Change 393354 merged by jenkins-bot:
[mediawiki/core@master] Soft deprecate $wgStyleVersion (add @deprecated)

https://gerrit.wikimedia.org/r/393354

Change 393662 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/InterwikiIntegration@master] Remove $wgStyleVersion

https://gerrit.wikimedia.org/r/393662

Change 393663 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/SemanticPageMaker@master] Remove $wgStyleVersion

https://gerrit.wikimedia.org/r/393663

Change 393665 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/ApiExplorer@master] Remove $wgStyleVersion

https://gerrit.wikimedia.org/r/393665

Change 393662 merged by jenkins-bot:
[mediawiki/extensions/InterwikiIntegration@master] Remove $wgStyleVersion

https://gerrit.wikimedia.org/r/393662

Change 393665 merged by jenkins-bot:
[mediawiki/extensions/ApiExplorer@master] Remove $wgStyleVersion

https://gerrit.wikimedia.org/r/393665

Change 393663 merged by jenkins-bot:
[mediawiki/extensions/SemanticPageMaker@master] Remove $wgStyleVersion

https://gerrit.wikimedia.org/r/393663

Change 434421 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] OutputPage: Remove support for non-existent /w/skins/common directory

https://gerrit.wikimedia.org/r/434421

Change 434421 merged by jenkins-bot:
[mediawiki/core@master] OutputPage: Remove support for non-existent /w/skins/common directory

https://gerrit.wikimedia.org/r/434421

Change 434422 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] OutputPage: Remove appending of wgStyleVersion to legacy resources

https://gerrit.wikimedia.org/r/434422

Change 434422 merged by jenkins-bot:
[mediawiki/core@master] OutputPage: Remove appending of wgStyleVersion to legacy resources

https://gerrit.wikimedia.org/r/434422

Change 434810 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Skin::getSkinStylePath: Drop appending wgStyleVersion, deprecated

https://gerrit.wikimedia.org/r/434810

Change 434811 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Drop $wgStyleVersion, deprecated in 1.31 and now unused

https://gerrit.wikimedia.org/r/434811

Change 434810 merged by jenkins-bot:
[mediawiki/core@master] Skin: Drop appending of wgStyleVersion in getSkinStylePath()

https://gerrit.wikimedia.org/r/434810

Krinkle claimed this task.May 24 2018, 2:20 PM
Krinkle edited projects, added Performance-Team; removed Performance-Team (Radar).
Krinkle moved this task from Unsorted to Needs removal on the Technical-Debt board.
Krinkle moved this task from Untriaged to Archive on the Performance-Team-publish board.

Change 434811 merged by jenkins-bot:
[mediawiki/core@master] Drop $wgStyleVersion, deprecated in 1.31 and now unused

https://gerrit.wikimedia.org/r/434811

Krinkle closed this task as Resolved.May 26 2018, 10:16 AM
Krinkle removed a project: Patch-For-Review.